Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003320Doomseeker[All Projects] Suggestionpublic2017-10-29 18:562017-11-02 11:15
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003320: Replace buddies.png (id Software / Doom)
DescriptionDoomseeker includes a "Buddies" widget, represented in the main window of Doomseeker with an icon of two Doomguys.

It's been proposed for this icon to be replaced for legal encumbrance reasons (copyright) and "freedom" distributions.
Steps To ReproduceLocation in source distribution: media/icons/buddies.png
Additional InformationRegarding attachments:


  • Derivative works of Shaking hands icon by Delapouite are licensed under CC BY 3.0 license.

  • System users icons are from the Tango Desktop Project and in the public domain, both original and modified Tango icons.

Attached Filespng file icon shaking-hands.png [^] (4,066 bytes) 2017-11-01 10:05


png file icon ds-handshake.png [^] (53,115 bytes) 2017-11-01 10:07


? file icon buddyballs.xcf [^] (9,473 bytes) 2017-11-01 10:23
? file icon System-users.svg [^] (5,267 bytes) 2017-11-01 10:29
png file icon shaking-hands-v2.png [^] (3,613 bytes) 2017-11-01 10:41


png file icon shaking-hands-v3.png [^] (4,253 bytes) 2017-11-01 10:41


png file icon shaking-hands-v4.png [^] (3,447 bytes) 2017-11-01 10:41


png file icon ds-handshake-v4.png [^] (49,177 bytes) 2017-11-01 10:44


png file icon System-users-doomseeker-v1.png [^] (3,371 bytes) 2017-11-01 10:50


png file icon System-users-doomseeker-v2.png [^] (3,262 bytes) 2017-11-01 10:57


? file icon System-users-doomseeker-v2.svg [^] (5,313 bytes) 2017-11-01 11:24
? file icon System-users-doomseeker-v3.svg [^] (4,394 bytes) 2017-11-02 00:51
png file icon System-users-doomseeker-v3.svg.png [^] (3,242 bytes) 2017-11-02 00:51


? file icon System-users-doomseeker-v4.svg [^] (4,394 bytes) 2017-11-02 00:51
png file icon System-users-doomseeker-v4.svg.png [^] (3,262 bytes) 2017-11-02 00:51

- Relationships
related to 0003319feedback Themes 
related to 0001874resolvedZalewa Icon overhaul 
child of 0003237needs reviewZalewa Non-free files and copyright issues in source archive 

-  Notes
User avatar (0018657)
WubTheCaptain (developer)
2017-10-29 18:59

May I say: As iconic and elegant as the icon is, it's also a noisy icon. It's high-resolution but downscaled, while other icons next to it are fairly low-detail.

I have previously proposed replacing it with Freedoom guys, but I've now thought about it and think two ballhead-body icons (for the lack of better word) would be more in the line of neutral and similar detail.
User avatar (0018663)
Zalewa (developer)
2017-10-29 19:52

I think I'll go with this. I don't imagine anyone will complain that the icon has changed and 3319 is too much work just to fix something that we didn't care about for 7 years.
User avatar (0018695)
WubTheCaptain (developer)
2017-11-01 10:05

I can like this.
User avatar (0018696)
WubTheCaptain (developer)
2017-11-01 10:09

Actually looking afar, it's not as recognizable immediately as I would've wanted. I mistook it for a feral head/fangs/ears.
User avatar (0018697)
Zalewa (developer)
2017-11-01 10:10
edited on: 2017-11-01 10:37

I attempted at ballheads, but the result was ridiculous so I found this and converted it to Doomseeker's palette. The result is attached. And the screenshot is also.

I personally think that there's too much whitespace in this icon and I also wanted to have something manly like Dutch's & Dillon's but couldn't find a suitable template and I can't draw for shit...

[Edit by WubTheCaptain: Derivative work "shaking-hands.png" of Shaking hands icon by Delapouite under CC BY 3.0 license.]

User avatar (0018698)
WubTheCaptain (developer)
2017-11-01 10:12

Do you still have your attempt of ballheads icon available, please?
User avatar (0018699)
Zalewa (developer)
2017-11-01 10:23

Partially:https://zandronum.com/tracker/file_download.php?file_id=2232&type=bug [^]

After I added facial features, I couldn't look at it anymore and CTRL+Z'ed it to oblivion.
User avatar (0018700)
WubTheCaptain (developer)
2017-11-01 10:29
edited on: 2017-11-01 10:31

I can give this a go tomorrow. Trying to use a tango icon as a base (see attachment, public domain):https://commons.wikimedia.org/wiki/File:System-users.svg [^]

Maybe accept there to be a fourth color, or use more gradients. Thanks for trying too, we'll get it soon.

User avatar (0018701)
Zalewa (developer)
2017-11-01 10:45

After I swapped the colors it seems to look much better:https://zandronum.com/tracker/file_download.php?file_id=2237&type=bug [^]
User avatar (0018702)
WubTheCaptain (developer)
2017-11-01 10:51

Zalewa: Yeah, it does look better.

I half-heartedly changed the colors of the suits on System-users.svg, didn't deal with the heads yet. Result is System-users-doomseeker-v1.png.
User avatar (0018703)
Zalewa (developer)
2017-11-01 10:53

If balls were replaced with Doomguy-like helmets, it would be okay.
User avatar (0018704)
WubTheCaptain (developer)
2017-11-01 11:00

Would a helmet really be necessary, considering the other engines like SRB2 in Doomseeker?
User avatar (0018705)
Zalewa (developer)
2017-11-01 11:20

This is still Doomseeker, after all.

The ballheads look much better with their shirts unexposed, though. They might do.
User avatar (0018706)
WubTheCaptain (developer)
2017-11-01 11:25

I'll take a poor stab at a helmet tomorrow, need sleep now. If you'd like to try, System-users-doomseeker-v2.svg is the source. Public domain, attribution to the Tango Project (Jakub Steiner) for original.
User avatar (0018712)
Zalewa (developer)
2017-11-01 12:58

v2 ballheads are sufficient, so I merged them in:https://bitbucket.org/Doomseeker/doomseeker/commits/052ae8550e16f9aa1f7164ad3c77d70610371880 [^] .
User avatar (0018713)
WubTheCaptain (developer)
2017-11-01 13:22
edited on: 2017-11-01 13:31

I said the system users icon to be a little "half-hearted", as I'm a little unsure of the grayscale gradient color accuracy. I also notice the darker red color is usually layered on top of the lighter color for other Doomseeker icons, but not with this icon yet. The current Doomguys buddies.png is also flipped with left-side person at front, right-side person at back and this icon is the reverse. I'll post v3 tomorrow with the reordered layers.

As courtesy, please attribute the Tango project if you could.

Quote from http://tango.freedesktop.org/Tango_Desktop_Project
Though the tango-icon-theme package is released to the Public Domain, we ask that you still please attribute the Tango Desktop Project, for all the hard work we've done. Thanks.


Thank you for appreciating my contribution! (Really, sleep now.)

User avatar (0018715)
Zalewa (developer)
2017-11-01 16:09

Attribution added:https://bitbucket.org/Doomseeker/doomseeker/commits/a3e03ffe68f2a061fb6a6650532539f229d14ec0 [^]
User avatar (0018717)
WubTheCaptain (developer)
2017-11-02 00:54

I didn't reorder the layers after all, due to requirement of moving the shadows for perspective correction. It would've taken quite some time in a text editor to do cleanly.

v3 and v4 have been attached.

I believe v3's grays are more accurate to server_details.png and chat.png, although no longer as flat as the red color.

So, I took a freedom and modified the background buddy to also have a subtle gradient in v4 for consistency.
User avatar (0018721)
Zalewa (developer)
2017-11-02 11:15

I've went with v3 because reds in all other icons have no gradients.

Let's consider this resolved and move on.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: Dusk AOSP

- Issue History
Date Modified Username Field Change
2017-10-29 18:56 WubTheCaptain New Issue
2017-10-29 18:56 WubTheCaptain Status new => acknowledged
2017-10-29 18:56 WubTheCaptain Relationship added child of 0003237
2017-10-29 18:56 WubTheCaptain Relationship added related to 0003319
2017-10-29 18:59 WubTheCaptain Note Added: 0018657
2017-10-29 19:52 Zalewa Note Added: 0018663
2017-10-30 01:23 WubTheCaptain Status acknowledged => confirmed
2017-10-30 01:32 WubTheCaptain Target Version => 1.2
2017-10-31 22:21 Zalewa Assigned To => Zalewa
2017-10-31 22:21 Zalewa Status confirmed => assigned
2017-11-01 10:05 Zalewa File Added: shaking-hands.png
2017-11-01 10:05 WubTheCaptain Note Added: 0018695
2017-11-01 10:06 WubTheCaptain Status assigned => needs review
2017-11-01 10:07 Zalewa File Added: ds-handshake.png
2017-11-01 10:09 WubTheCaptain Note Added: 0018696
2017-11-01 10:10 Zalewa Note Added: 0018697
2017-11-01 10:12 WubTheCaptain Note Added: 0018698
2017-11-01 10:20 WubTheCaptain Relationship added related to 0001874
2017-11-01 10:23 Zalewa File Added: buddyballs.xcf
2017-11-01 10:23 Zalewa Note Added: 0018699
2017-11-01 10:29 WubTheCaptain Note Added: 0018700
2017-11-01 10:29 WubTheCaptain Status needs review => confirmed
2017-11-01 10:29 WubTheCaptain File Added: System-users.svg
2017-11-01 10:31 WubTheCaptain Note Edited: 0018700 View Revisions
2017-11-01 10:37 WubTheCaptain Note Edited: 0018697 View Revisions
2017-11-01 10:41 Zalewa File Added: shaking-hands-v2.png
2017-11-01 10:41 Zalewa File Added: shaking-hands-v3.png
2017-11-01 10:41 Zalewa File Added: shaking-hands-v4.png
2017-11-01 10:44 Zalewa File Added: ds-handshake-v4.png
2017-11-01 10:45 Zalewa Note Added: 0018701
2017-11-01 10:50 WubTheCaptain File Added: System-users-doomseeker-v1.png
2017-11-01 10:51 WubTheCaptain Note Added: 0018702
2017-11-01 10:53 Zalewa Note Added: 0018703
2017-11-01 10:57 WubTheCaptain File Added: System-users-doomseeker-v2.png
2017-11-01 11:00 WubTheCaptain Note Added: 0018704
2017-11-01 11:20 Zalewa Note Added: 0018705
2017-11-01 11:24 WubTheCaptain File Added: System-users-doomseeker-v2.svg
2017-11-01 11:25 WubTheCaptain Note Added: 0018706
2017-11-01 11:26 WubTheCaptain Status confirmed => assigned
2017-11-01 12:58 Zalewa Note Added: 0018712
2017-11-01 12:58 Zalewa Status assigned => needs review
2017-11-01 13:22 WubTheCaptain Note Added: 0018713
2017-11-01 13:22 WubTheCaptain Assigned To Zalewa => WubTheCaptain
2017-11-01 13:22 WubTheCaptain Status needs review => assigned
2017-11-01 13:31 WubTheCaptain Note Edited: 0018713 View Revisions
2017-11-01 13:58 WubTheCaptain Additional Information Updated View Revisions
2017-11-01 16:09 Zalewa Note Added: 0018715
2017-11-02 00:51 WubTheCaptain File Added: System-users-doomseeker-v3.svg
2017-11-02 00:51 WubTheCaptain File Added: System-users-doomseeker-v3.svg.png
2017-11-02 00:51 WubTheCaptain File Added: System-users-doomseeker-v4.svg
2017-11-02 00:51 WubTheCaptain File Added: System-users-doomseeker-v4.svg.png
2017-11-02 00:51 WubTheCaptain Assigned To WubTheCaptain => Zalewa
2017-11-02 00:51 WubTheCaptain Status assigned => needs review
2017-11-02 00:54 WubTheCaptain Note Added: 0018717
2017-11-02 11:15 Zalewa Note Added: 0018721
2017-11-02 11:15 Zalewa Status needs review => resolved
2017-11-02 11:15 Zalewa Fixed in Version => 1.2
2017-11-02 11:15 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker